<?php

class UserModel{
    private $username;
    private $password;
    private $siteInfo;

    public function __construct($username = null, $password = null)
    {
        $this->username = $username;
        $this->password = $password;
    }

    public function getUsername(){
        return $this->username;
    }

    public function getPassword(){
        return $this->password;
    }

    public function setUsername($username){
        $this->username = $username;
    }

    public function setPassword($password){
        $this->password = $password;
    }

    public function setSiteInfo($siteInfo){
        $this->siteInfo = $siteInfo;
    }

    public function getSiteInfo(){
        return $this->siteInfo;
    }
}

?>